/**
 * Javier Abelln, 15 Mayo 2006
 */
package chuidiang.pruebas;

import java.awt.GridLayout;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.WindowConstants;

import chuidiang.paneles.PanelImagenFondo;

/**
 * Programa de prueba de PanelConImagenDeFondo
 * 
 * @author Chuidiang
 *
 */
public class PruebaImagenFondo extends PanelImagenFondo
{
    /**
     * serial uid
     */
    private static final long serialVersionUID = 4050482313668409136L;
    
    /**
     * Instancia un JFrame y un PanelConImagenDeFondo.
     * @param imagen
     */
    public PruebaImagenFondo (Image imagen)
    {
        super (imagen.getScaledInstance(400,250,Image.SCALE_SMOOTH));
        setLayout(new GridLayout(3,3));
        for (int i=0;i<3;i++)
        {
            JLabel e = new JLabel ("etiqueta"+i);
            add(e);
            JTextField tf = new JTextField ("textField"+i);
            tf.setOpaque(false);
            add(tf);
            JButton b = new JButton("boton"+i);
            add(b);
        }
    }
    
    /**
     * Instancia un JFrame y le mete dentro un panel con imagen de fondo y
     * varios botones.
     * @param args
     */
    public static void main(String [] args)
    {
        JFrame v = new JFrame();
        ImageIcon imagen = new ImageIcon("imagenes/lb2002.png");
        v.getContentPane().add(new PruebaImagenFondo(imagen.getImage()));
        v.setSize(400,250);
        v.setVisible(true);
        v.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    }
}
